> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Video

> Forward a provider-native video-generation request through the AI Gateway. The native path and request body are passed to Google Vertex AI, Google Gemini, or self-hosted ComfyUI without translation.



## OpenAPI

````yaml /gateway-openapi.json post /videos-proxy/{providerAccountName}/{nativePath}
openapi: 3.0.0
info:
  title: LLM Gateway
  description: API for LLM Gateway
  version: 1.0.0
servers:
  - url: https://{gatewayBaseURL}
    variables:
      gatewayBaseURL:
        default: gateway.truefoundry.ai
        description: Gateway base URL
    description: Gateway base URL
security:
  - AuthorizationBearer: []
tags:
  - name: Chat
  - name: Agent
  - name: Messages
  - name: MCP
  - name: Embeddings
  - name: Rerank
  - name: Responses
  - name: Image
  - name: Audio
  - name: Video
  - name: Batch
  - name: Files
  - name: Fine-tuning
  - name: Moderations
  - name: Models
paths:
  /videos-proxy/{providerAccountName}/{nativePath}:
    post:
      tags:
        - Video
      summary: Generate Video
      description: >-
        Forward a provider-native video-generation request through the AI
        Gateway. The native path and request body are passed to Google Vertex
        AI, Google Gemini, or self-hosted ComfyUI without translation.
      parameters:
        - name: providerAccountName
          in: path
          required: true
          schema:
            type: string
            description: TrueFoundry provider account name.
        - name: nativePath
          in: path
          required: true
          schema:
            type: string
            description: Provider-native path suffix for the video request.
        - name: x-tfy-model-name
          in: header
          required: false
          schema:
            type: string
            description: >-
              Full TrueFoundry model name. Required when the native path does
              not identify the model, including ComfyUI requests.
      requestBody:
        required: true
        description: Provider-native video-generation request body.
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
      responses:
        '200':
          description: Provider-native video response.
        '202':
          description: Provider accepted the asynchronous video-generation request.
        '400':
          description: Invalid provider path, model, or request.
components:
  securitySchemes:
    AuthorizationBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````